Page MenuHomeFreeBSD

New port: editors/dte: Small and easy to use console text editor
ClosedPublic

Authored by yuri on Dec 15 2017, 5:17 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Dec 15 2017, 5:17 AM
tcberner added inline comments.Dec 15 2017, 5:38 AM
editors/dte/Makefile
1 ↗(On Diff #36622)

^ you should ask Dmitri if it's ok to not add this

15 ↗(On Diff #36622)

^ alphabetize USES

29 ↗(On Diff #36622)

^ I say it again... an option for a single, static file is not worth it IMHO.

yuri marked 3 inline comments as done.Dec 15 2017, 5:51 AM
yuri added inline comments.
editors/dte/Makefile
15 ↗(On Diff #36622)

I actually prefer USES in the hierarchical order.
There is no formal rule that requires sorting them.

Please read the Mathieu's post here https://reviews.freebsd.org/D13460: there are two kind of people, those belonging to the sort police that think it is always better to sort everything even if it does not make any sense, and those who have a more pragmatical way.

29 ↗(On Diff #36622)

But I checked last time, the actual overhead of an option is negligible.
The README file is added as a doc out of respect for the author who wrote it.
On the other hand, there are a lot of users who don't want to see any docs installed, hence the DOCS option.

tcberner added inline comments.Dec 15 2017, 6:03 AM
editors/dte/Makefile
15 ↗(On Diff #36622)

There is no rule yes, but it's just easier to find stuff in a sorted list :) -- also stuff that starts out tidy is easier to keep tidy.

mat added inline comments.Dec 15 2017, 3:00 PM
editors/dte/Makefile
15 ↗(On Diff #36622)

USES should be sorted (but it is nice to test it in a non sorted way from time to time to make sure that there are no hidden bugs.). I was talking about USE_PYTHON only.

29 ↗(On Diff #36622)

The time is coming very soon where the old magic trick that made PORTDOCS work without the DOCS option will be gone, it's the current thing I am working on.

As I wrote in D13463:

If you install files in DOCSDIR, they MUST be guarded by PORTDOCS, and you MUST have a DOCS option.
If you install files in EXAMPLESDIR, they MUST be guarded by PORTEXAMPLES, and you MUST have an EXAMPLES option.
It does not matter if it is only one file, if you put files there, you must have the option.

yuri updated this revision to Diff 36628.Dec 15 2017, 4:37 PM
yuri marked 3 inline comments as done.

Sorted USES.

yuri added a comment.Dec 15 2017, 4:37 PM

I sorted USES.
Can this be committed?

editors/dte/Makefile
15 ↗(On Diff #36622)
In D13498#282250, @yuri wrote:

I sorted USES.
Can this be committed?

Please reconsider the 'Created by' line :)

yuri marked 5 inline comments as done.Dec 17 2017, 3:11 PM
adamw accepted this revision.Dec 18 2017, 10:00 PM
This revision is now accepted and ready to land.Dec 18 2017, 10:00 PM
This revision was automatically updated to reflect the committed changes.